Subject: Re: bug#9847: [PATCH 3/3] maint: use gnulib's gitlog-to-changelog instead of a ChangeLog file.

From: Peter Rosin <[email-masked]>
Date: Mon, 31 Oct 2011 16:24:35 +0100

Gary V. Vaughan skrev 2011-10-23 18:17:
> We already have to enter all the ChangeLog relevant information into the git
> commit log.  Instead of worrying about keeping them all in sync, this patch
> generates the current year ChangeLog from the git logs using a gnulib script.
> At the beginning of the year, we can still rotate it out into ChangeLog.2011
> and let the script carry on generating next years ChangeLog.
> 
> It would have been even better to generate all of the ChangeLogs on demand,
> but the formatting differences and missing logs for many of our historic
> commits dating back to CVS especially look awful, so this is a good compromise
> between making maintenance as low-friction as possible and having ugly unreadable
> early ChangeLogs.
> 
> I'll push in 72 hours, pending review comments in the mean time.
> 
> * ChangeLog: Removed.
> * HACKING (Editing 'ChangeLog'): Removed. Renumbered other sections to
> compensate.
> * bootstrap.conf (gnulib_modules): Add gitlog-to-changelog.
> * Makefile.am (ChangeLog): Generate the ChangeLog for 2011...
> (dist-hook): ...from the output of `git log' before rolling a
> distribution tarball.

Hi Gary!

Sorry for the late response, but *all* relevant info from the ChangeLog is
generally *not* included in the git commit message. E.g. commit 72266fce
"docs: improve description of -no-undefined." where the mention of
co-author Matěj Týč is thrown out the window by this change.

There are many more patches with more that one author in the ChangeLog,
and I don't think any of them has any mention of co-authors in their
git commit message.

Cheers,
Peter